Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.delegate
Class AttributeSelectionDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
              org.mule.config.spring.parsers.delegate.AbstractParallelDelegatingDefinitionParser
                  org.mule.config.spring.parsers.delegate.AttributeSelectionDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  NotificationDisableDefinitionParser

    public class AttributeSelectionDefinitionParser

extends AbstractParallelDelegatingDefinitionParser

Select sub parser depending on presence of a particular attribute

Field Summary

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`logger`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`AttributeSelectionDefinitionParser(String attribute, MuleDefinitionParser delegate)`

Method Summary
`void` | `addDelegate(String attribute, MuleDefinitionParser delegate)`
`protected MuleDefinitionParser` | `getDelegate(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractParallelDelegatingDefinitionParser
`muleParse`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`addAlias, addBeanFlag, addCollection, addDelegate, addIgnored, addMapping, addMapping, addMapping, addReference, getBeanName, getDelegate, parseInternal, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault, size`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Constructor Detail

### AttributeSelectionDefinitionParser

    public AttributeSelectionDefinitionParser(String attribute,
                                              MuleDefinitionParser delegate)

Method Detail

### addDelegate

    public void addDelegate(String attribute,
                            MuleDefinitionParser delegate)

### getDelegate

    protected MuleDefinitionParser getDelegate(Element element,
                                               org.springframework.beans.factory.xml.ParserContext parserContext)

  Specified by:
    `getDelegate` in class `AbstractParallelDelegatingDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.